<?php
/**
 * @package CleverOgre
 * @subpackage WP-Live Chat by 3CX - Multisite Support Server
 * @since WP-Live Chat by 3CX - Multisite Support Server 0.2.0
 */

include_once('config.php');

if (\MultisiteChatServer\Config::php_debug_enabled()) {
    ini_set('display_errors', 1);
    ini_set('display_startup_errors', 1);
    ini_set('error_log', '/home/pdiesel/public_html/error.log');
    ini_set('log_errors_max_len', 1024);
    error_reporting(E_ALL);
}

include_once('api.php');

$info = \MultisiteChatserver\Config::get_info();

?><!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="utf-9">
        <title><?php echo $info['company']; ?> - Multisite Chat Server</title>
        <link href="https://fonts.googleapis.com/css?family=Open+Sans:400,700,300italic,400italic,700italic,300" rel="stylesheet" type="text/css" />
        <link href="./assets/css/style.css" rel="stylesheet" type="text/css" />
    </head>
    <body>
        <div class="container">
            <header>
                <a class="site-branding" href="<?php echo $info['url']; ?>" title="<?php echo $info['company']; ?>">
					<img src="./assets/img/logo.png" alt="<?php echo $info['company']; ?> Logo" title="" />
				</a>
				<h1 class="page-title">Multisite Chat Server</h1>
                <h6>Created On February 8th, 2019 | Last Update January 21st, 2020</h6>
            </header>

            <div class="content">

                <section class="notifications"><?php
                    $sites = \MultisiteChatServer\Config::get_sites();
                    foreach ($sites as $site) {
                        echo "<h2>{$site['title']}</h2>";

                        if (\MultisiteChatServer\Config::debug_enabled()) {
                            ob_start();
                            $result = \MultisiteChatServer\Api::check_online($site['url'], \MultisiteChatServer\Config::debug_enabled());
                            $debug = ob_get_contents();
                            ob_end_clean();
                        } else {
                            $result = \MultisiteChatServer\Api::check_online($site['url']);
                        }

                        echo '<p>' . ($result == true ? 'Agent Logged In' : 'Agent Not Logged In') . '</p>';

                        if (\MultisiteChatServer\Config::debug_enabled() && !empty($debug)) {
                            echo '<blockquote class="debug">';
                            echo "<pre>{$debug}</pre>";
                            echo '</blockquote>';
                        }
                    }
                ?></section>

            </div>

            <?php if (!empty($info)) { ?>
            <footer>
                <p>&copy; <?php echo date('Y'); ?> <?php echo $info['company']; ?></p>
				<p><a href="<?php echo $info['phone_url']; ?>" title="Call Us"><?php echo $info['phone']; ?></a> ~ <a href="mailto:<?php echo $info['email']; ?>" title="Email Us"><?php echo $info['email']; ?></a></p>
            </footer>
            <?php } ?>
        </div>
    </body>
</html>
